<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Expense Print";
$file = "expense_print.php";
$grpcode = '012';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);


if (isset($_POST["view"])) {

    
    $name= $_POST['name'];
    
    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where grpcode='$grpcode' $namecond")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php") ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr  class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
                            Echo"<td>$pmain[name]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {

     
    $name= $_POST['name'];
    
    
    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where grpcode='$grpcode' $namecond")or die(mysqli_error($conn));

    $contents .= "Sr.,Name\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= $ctr . ",";
        $contents .= $pmain[name] . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>